{
  "name": "@rs/desktop",
  "productName": "RS Desktop",
  "version": "10.1.5",
  "description": "RS Desktop is a Jabber/XMPP client based on Converse-desktop",
  "main": "main.js",
  "scripts": {
    "clean": "rm -rf node_modules",
    "postinstall": "electron-builder install-app-deps",
    "start": "electron ./main.js",
    "pack": "electron-builder --dir",
    "dist": "electron-builder --mac --universal",
    "dist:win64": "electron-builder --win --x64",
    "dist:linux64": "electron-builder --linux --x64"
  },
  "author": "RandomServer Community",
  "repository": "https://git.randomserver.top/legacytard-association/converse.rs",
  "keywords": [
    "RS",
    "RandomServer",
    "RS Desktop",
    "Jabber",
    "XMPP",
    "Client",
    "converse.js",
    "Electron",
    "OMEMO"
  ],
  "license": "MPL-2.0",
  "type": "module",
  "devDependencies": {
    "electron": "^28.0.0",
    "electron-builder": "^23.0.0",
    "electron-packager": "^17.0.0",
    "electron-rebuild": "^3.2.9",
    "eslint": "^8.12.0"
  },
  "dependencies": {
    "converse.js": "^10.1.8",
    "electron-settings": "^4.0.2",
    "keytar": "^7.9.0",
    "node-abi": "^4.8.0",
    "find-bar": "^0.1.3"

  },
  "build": {
    "appId": "com.rscommunity.rs-desktop",
    "productName": "RS Desktop",
    "extraFiles": [
      {
        "from": "resources/images/logo.svg",
        "to": "converse-desktop.svg"
      }
    ],
    "mac": {
      "category": "public.app-category.social-networking",
      "icon": "resources/images/logo.icns",
      "target": "dmg"
    },
    "linux": {
      "maintainer": "RS Community <xaxaxa@randomserver.top>",
      "artifactName": "converse_desktop-${version}_${arch}.${ext}",
      "icon": "resources/images",
      "target": [
        "deb",
        "tar.gz",
        "appImage"
      ]
    },
    "win": {
      "target": "nsis",
      "icon": "resources/images/logo.ico"
    }
  }
}
